Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class AdTracking

    java.lang.Object
      |
      +--com.bea.p13n.ad.AdEventTrackerBase
            |
            +--com.bea.campaign.AdTracking

public class AdTracking
extends AdEventTrackerBase
implements AdConstants

Helper class for posting events related to ads and campaigns.

Constructor Summary
`AdTracking()`

Method Summary
`void` | `raiseClickThruEvent(java.lang.String userId, javax.servlet.http.HttpServletRequest request, java.lang.String containerUID, java.lang.String scenarioUID, java.lang.String placeholder, java.lang.String contId)` Raise a click-thru event for an ad from a scenario.
`void` | `raiseDisplayEvent(java.lang.String userId, javax.servlet.http.HttpServletRequest request, java.lang.String containerUID, java.lang.String scenarioUID, java.lang.String placeholder, java.lang.String contId)` Raise an impression event for an ad from a scenario.

Methods inherited from class com.bea.p13n.ad.AdEventTrackerBase
`getEventService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdTracking

    public AdTracking()

Method Detail

### raiseDisplayEvent

    public void raiseDisplayEvent(java.lang.String userId,
                                  javax.servlet.http.HttpServletRequest request,
                                  java.lang.String containerUID,
                                  java.lang.String scenarioUID,
                                  java.lang.String placeholder,
                                  java.lang.String contId)

  Raise an impression event for an ad from a scenario.

  Parameters:
    `userId` - the user id.
    `request` - the http servlet request.
    `containerUID` - the scenario container's (e.g. campaign) unique id.
    `scenarioUID` - the scenario's unique id.
    `placeholder` - the placeholder name.
    `contId` - the ad's content id.
  Overrides:
    raiseDisplayEvent in class AdEventTrackerBase

### raiseClickThruEvent

    public void raiseClickThruEvent(java.lang.String userId,
                                    javax.servlet.http.HttpServletRequest request,
                                    java.lang.String containerUID,
                                    java.lang.String scenarioUID,
                                    java.lang.String placeholder,
                                    java.lang.String contId)

  Raise a click-thru event for an ad from a scenario.

  Parameters:
    `userId` - the user id.
    `request` - the http servlet request.
    `containerUID` - the scenario container's (e.g. campaign) unique id.
    `scenarioUID` - the scenario's unique id.
    `placeholder` - the placeholder name.
    `contId` - the ad's content id.
  Overrides:
    raiseClickThruEvent in class AdEventTrackerBase

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved